package com.example.fieldagent.data.models.responses

import com.google.gson.annotations.SerializedName


data class ItemList (
    val status: Long? = null,
    val success: Boolean? = null,
    val message: String? = null,
    val data: DataItem? = null
)

data class DataItem (
    val categories: List<Category>? = null,

    @SerializedName("sub_categories")
    val subCategories: List<SubCategory>? = null,
    val units: List<String>? = null
)

data class Category (
    val id: Long? = null,
    val name: String? = null
)

data class SubCategory (
    val id: Long? = null,

    @SerializedName("category_id")
    val categoryID: Long? = null,
    val name: String? = null,
    val unit: String? = null
)